MyGUI: MyGUI::ControllerItem Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions | Data Fields
MyGUI::ControllerItem Class Referenceabstract

`#include <MyGUI_ControllerItem.h>`

Inheritance diagram for MyGUI::ControllerItem:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ControllerItem | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
virtual void | prepareItem (Widget *_widget)=0
virtual bool | addTime (Widget *_widget, float _time)=0
virtual void | setProperty (std::string_view, std::string_view)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Data Fields
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPreAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventUpdateAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPostAction

## Detailed Description

Base interface for controllers

Definition at line 25 of file MyGUI_ControllerItem.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ControllerItem::Base

Definition at line 27 of file MyGUI_ControllerItem.h.

## ◆ RTTIBase

typedef ControllerItem MyGUI::ControllerItem::RTTIBase

Definition at line 27 of file MyGUI_ControllerItem.h.

## Member Function Documentation

## ◆ addTime()

virtual bool MyGUI::ControllerItem::addTime | ( | Widget * | _widget,
|  | float | _time )
| pure virtual

Implemented in MyGUI::ControllerEdgeHide, MyGUI::ControllerFadeAlpha, MyGUI::ControllerPosition, and MyGUI::ControllerRepeatClick.

## ◆ getClassTypeName()

std::string_view MyGUI::ControllerItem::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 27 of file MyGUI_ControllerItem.h.

## ◆ getTypeName()

virtual std::string_view MyGUI::ControllerItem::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::ControllerEdgeHide, MyGUI::ControllerFadeAlpha, MyGUI::ControllerPosition, and MyGUI::ControllerRepeatClick.

Definition at line 27 of file MyGUI_ControllerItem.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::ControllerItem::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 27 of file MyGUI_ControllerItem.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ControllerItem::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::ControllerEdgeHide, MyGUI::ControllerFadeAlpha, MyGUI::ControllerPosition, and MyGUI::ControllerRepeatClick.

Definition at line 27 of file MyGUI_ControllerItem.h.

## ◆ prepareItem()

virtual void MyGUI::ControllerItem::prepareItem | ( | Widget * | _widget | ) |
| pure virtual

Implemented in MyGUI::ControllerEdgeHide, MyGUI::ControllerFadeAlpha, MyGUI::ControllerPosition, and MyGUI::ControllerRepeatClick.

## ◆ setProperty()

virtual void MyGUI::ControllerItem::setProperty | ( | std::string_view | ,
|  | std::string_view | )
| inlinevirtual

Reimplemented in MyGUI::ControllerEdgeHide, MyGUI::ControllerFadeAlpha, MyGUI::ControllerPosition, and MyGUI::ControllerRepeatClick.

Definition at line 33 of file MyGUI_ControllerItem.h.

## Field Documentation

## ◆ eventPostAction

EventPairAddParameter<EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr> MyGUI::ControllerItem::eventPostAction

Event : After controller finished working.
signature : void method(MyGUI::Widget* _sender, MyGUI::ControllerItem* _controller)

Parameters

  _sender | widget under control

Definition at line 53 of file MyGUI_ControllerItem.h.

## ◆ eventPreAction

EventPairAddParameter<EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr> MyGUI::ControllerItem::eventPreAction

Event : Before controller started working.
signature : void method(MyGUI::Widget* _sender, MyGUI::ControllerItem* _controller)

Parameters

  _sender | widget under control

Definition at line 41 of file MyGUI_ControllerItem.h.

## ◆ eventUpdateAction

EventPairAddParameter<EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr> MyGUI::ControllerItem::eventUpdateAction

Event : Controller updated (called every frame).
signature : void method(MyGUI::Widget* _sender, MyGUI::ControllerItem* _controller)

Parameters

  _sender | widget under control

Definition at line 47 of file MyGUI_ControllerItem.h.

The documentation for this class was generated from the following file:

- MyGUI_ControllerItem.h